Buy Philips Beard Trimmer BT1230 - Stainless Steel Blades Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips Beard Trimmer BT1230 - Stainless Steel Blades

PRODUCT CODE: PH-NBT1230

AVAILABLE
0
0
0
0
0

Rs. 6,950

Reward Points Icon

Earn 35 RED points with this purchase More Info

Offer Icon

Special Discount - Checkout using Sampath, Commercial, NTB, BOC, Peoples, HNB, NDB, Pan Asia, Seylan, UNION, Union Pay International, DFCC, LOLC, CDB Banks, Mintpay, KOKO payment method and get extra 10% off T&C

T&C ×

Special Discount - Checkout Using Sampath, Commercial, NTB, BOC, Peoples, HNB, NDB, Pan Asia, Seylan, UNION, Union Pay International, DFCC, LOLC, CDB Banks, Mintpay, KOKO Payment Methods And Get Extra Discount.
Offer Icon

Pay in 3 X Rs. 2,317 with mint-pay koko

1
1

Delivery - Standard 3 To 5 Working Days.

2 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type Beard Trimmer
Blade Material Stainless Steel Blade
Operating Time 40 Minutes
Charging Time 8 Hours
Functions Ergonomic design for a better grip & use
Indicators The battery indicators in this trimmer let you know what your battery status is: Low, empty, charging or full. This way, you can charge your trimmer on time and fully, so you won’t end up with an empty battery in the middle of your trim
Special Features Dura power technology 4 longer battery life , Easy to Clean
Other Information USB Charging

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Singer Hand Carry Hair Dryer BY503
10.10 offer

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Philips OneBlade Face Rechargeable Shaver QP1424
10.10 offer

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Singer Rechargeable Hair Clipper With Two Detachable Combs
10.10 offer

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Philips Beard Trimmer BT3302 - Stainless Steel Blades
10.10 offer

PH-BT3302

0
0
0
0
0
Philips Beard Trimmer BT3302 - Stainless Stee...
Rs 12,555
Rs 13,950 10% Off
Philips Beard Trimmer BT1235 - Stainless Steel Blades
10.10 offer

PH-NBT1235

0
0
0
0
0
Philips Beard Trimmer BT1235 - Stainless Stee...
Rs 8,950
Singer Hair Clipper - SIN-RFC-1819
10.10 offer

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair
10.10 offer

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
10.10 offer

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
Stanley Variable Speed Heatgun STXH2000 - 2000W

ST-STXH2000-B5

0
0
0
0
0
Stanley Variable Speed Heatgun STXH2000 - 200...
Rs 13,990
Canon Ink Cartridge - PG-746 (Colour)

CAN-C-746-C

0
0
0
0
0
Canon Ink Cartridge - PG-746 (Colour)
Rs 15,599
BLACK+DECKER Digital AeroFry Air Fryer AF400-B5 - 4.0L

BD-AF400-B5

0
0
0
0
0
BLACK+DECKER Digital AeroFry Air Fryer AF400-...
Rs 59,900
Indesit Cooker Hood, Angled, Air Flow 647m3h
10.10 offer

IND-IHVP66LMK

0
0
0
0
0
Indesit Cooker Hood, Angled, Air Flow 647m3h
Rs 91,299
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink & White)
sale

PN-EH-ND21-P605

0
0
0
0
0
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink &...
Rs 7,019
Rs 7,799 10% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products